|
Расположение в меню |
---|
Draft → Arc 3 points |
Верстаки |
Draft, Arch |
Быстрые клавиши |
A T |
Представлено в версии |
0.19 |
См. также |
Draft Arc, Draft Circle, Draft Ellipse |
Описание
The Draft Arc 3Points command creates a circular arc on the current working plane from three points that define its circumference. The center and radius are calculated from these points.
A Draft Arc is in fact a Draft Circle with a ДанныеFirst Angle that is not the same as its ДанныеLast Angle.
Arc defined by three points on its circumference
Применение
See also: Draft Tray, Draft Snap and Draft Constrain.
- There are several ways to invoke the command:
- Press the
Arc by 3 points button.
- Draft: Select the Drafting → Arc tools →
Arc by 3 points option from the menu.
- BIM: Select the 2D Drafting →
Arc by 3 points option from the menu.
- Use the keyboard shortcut: A then T.
- Press the
- The Arc by 3 points task panel opens. See Options for more information.
- Pick the first point in the 3D view, or type coordinates and press the
Enter point button.
- Pick the second point in the 3D view, or type coordinates and press the
Enter point button.
- Pick the third point in the 3D view, or type coordinates and press the
Enter point button.
Опции
The single character keyboard shortcuts available in the task panel can be changed. See Draft Preferences. The shortcuts mentioned here are the default shortcuts (for version 1.0).
- To manually enter coordinates enter the X, Y and Z component, and press Enter after each. Or you can press the
Enter point button when you have the desired values. It is advisable to move the pointer out of the 3D view before entering coordinates.
- Press R or click the Relative checkbox to toggle relative mode. If relative mode is on, coordinates are relative to the last point, if available, else they are relative to the coordinate system origin.
- Press G or click the Global checkbox to toggle global mode. If global mode is on, coordinates are relative to the global coordinate system, else they are relative to the working plane coordinate system.
- Press N or click the Continue checkbox to toggle continue mode. If continue mode is on, the command will restart after finishing, allowing you to continue creating arcs.
- Press S to switch Draft snapping on or off.
- Press Esc or the Close button to abort the command.
Примечания
- A Draft Arc can be edited with the Draft Edit command.
Настройки
See also: Preferences Editor and Draft Preferences.
- If the Edit → Preferences... → Draft → General → Create Part primitives if possible option is checked, the command will create a non-editable Part Feature instead of a Draft Circle.
Свойства
See Draft Circle.
Программирование
See also: Autogenerated API documentation and FreeCAD Scripting Basics.
To create a Draft Arc by 3 points use the make_arc_3points
method of the Draft module:
arc = make_arc_3points(points, placement=None, face=False, support=None, map_mode="Deactivated", primitive=False)
- Creates an
arc
object from the givenpoints
list. - If a
placement
is given, the center of the circular arc will be moved to this place. See Placement for more information. - If
face
isTrue
, the arc will make a face, that is, it will appear filled. - If
support
is given, it is aLinkSubList
, that is, a list indicating an object and a subelement of that object. This is used so that the object appears referenced to this support.
- For example:
support=[(obj, ("Face1"))]
.
- If
map_mode
is given, it is a string defining a type of mapping, for example:map_mode='FlatFace'
,map_mode='ThreePointsPlane'
, etc. See Part EditAttachment for more information. - If
primitive
isTrue
, the arc created will be a simple Part Feature, not a complex Draft object.
Пример:
import FreeCAD as App
import Draft
doc = App.newDocument()
points = [App.Vector(0, 0, 0),
App.Vector(5, 10, 0),
App.Vector(10, 0, 0)]
arc = Draft.make_arc_3points(points)
doc.recompute()
Эта страница получена от https://wiki.freecad.org/Draft_Arc_3Points